#! /bin/sh -efu

#
# Moodle MySQL tools
#
# @package   mt-MySQL
# @copyright 2012 Aleksey Avdeev <solo@altlinux.ru>
# @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v2 or later
#

PROG="${0##*/}"

dbname='moodle'

. shell-error

TEMP=`getopt -n "$PROG" -o d: -l dbname: -- "$@"`
eval set -- "$TEMP"

while :; do
	case "$1" in
		--)
			shift
			break
			;;
		-d|--dbname)
			shift
			dbname="$1"
			;;
		*) fatal "Unrecognized option: $1"
			;;
	esac
	shift
done

# Create BD
cat <<EOF | mysql $@ ||:
CREATE DATABASE $dbname DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
EOF
