#! /bin/sh -efu

#
# Moodle MySQL tools
#
# @package   mt-MySQL
# @copyright 2012 Aleksey Avdeev <solo@altlinux.ru>
# @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v2 or later
#

PROG="${0##*/}"

basedbname='moodle'

. shell-error

TEMP=`getopt -n "$PROG" -o b: -l basedbname: -- "$@"`
eval set -- "$TEMP"

while :; do
	case "$1" in
		--)
			shift
			break
			;;
		-b|--basedbname)
			shift
			basedbname="$1"
			;;
		*) fatal "Unrecognized option: $1"
			;;
	esac
	shift
done

# Get max num bd
maxnum=`echo '
SHOW DATABASES;
' \
	| mysql $@ \
	| sed -rn "s/[[:space:]]*^$basedbname([0-9]+)[[:space:]]*\$/\\1/p" \
	| sort -rn \
	| head -n1`

if [ -n "$maxnum" ]; then
	let maxnum+=1
else
	maxnum=1
fi

printf '%s%i\n' $basedbname $maxnum
