#! /bin/sh -efu

#
# Moodle MySQL tools
#
# @package   mt-MySQL
# @copyright 2012 Aleksey Avdeev <solo@altlinux.ru>
# @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v2 or later
#

PROG="${0##*/}"

dbname='moodle'
dbuser='moodleuser'
dbpass=''
setpass=

. shell-error

TEMP=`getopt -n "$PROG" -o d:,u:,p: -l dbname:,dbuser:,dbpass: -- "$@"`
eval set -- "$TEMP"

while :; do
	case "$1" in
		--)
			shift
			break
			;;
		-d|--dbname)
			shift
			dbname="$1"
			;;
		-u|--dbuser)
			shift
			dbuser="$1"
			;;
		-p|--dbpass)
			shift
			dbpass="$1"
			setpass='yes'
			;;
		*) fatal "Unrecognized option: $1"
			;;
	esac
	shift
done

if [ "$setpass" = 'yes' ]; then
	indentifed=" IDENTIFIED BY '$dbpass'"
else
	indentifed=""
fi

# Set dbuser
cat <<EOF | mysql $@ ||:
GRANT SELECT,INSERT,UPDATE,DELETE,CREATE,CREATE TEMPORARY TABLES,DROP,INDEX,ALTER
ON $dbname.*
TO $dbuser@localhost$indentifed;

FLUSH PRIVILEGES;
EOF
